	//Global variables
	var iInterval = 7000;		//Interval between picture
	var iTranDuration = 5;		//Duration of a transition
	//var sInitDir = "991128-0423/";	//Initial directory of the xml

	//Init xml doc
	xmlData.load(sInitDir+"slides.xml");
	var xRootElem = xmlData.documentElement;
	var xItems = xRootElem.childNodes;
	var iItems = xItems.length;	//number of items
	var iTimer;			//used to pause/continue auto slice
	var iCurItem = 0;
	
	//modStep.visibility = "hidden";

function displayCurPicture() {
	var item = xItems(iCurItem);
	myDes.innerHTML = "<H3>" + item.childNodes(1).text + "</H3>";
	tmpStr = "revealTrans(Duration=" + iTranDuration;
	tmpStr += ", Transition=" + (Math.random(22)*22+1) + ")";
	myImg.src=sInitDir + item.childNodes(0).text;
	myImg.style.filter = tmpStr;
	myImg.filters[0].Apply();
	myImg.style.visibility = "visible";
	myImg.filters[0].Play();
}

function sliceShow() {
	if (iCurItem < iItems) 
		displayCurPicture();
	increaseCnt();
	iTimer = setTimeout("sliceShow();", iInterval);
}

function pausePlay()
{
	modPause.style.visibility="hidden";
	modStep.style.visibility="visible";
	clearTimeout(iTimer);
}
function continuePlay()
{
	modStep.style.visibility="hidden";
	modPause.style.visibility="visible";
	iTimer = setTimeout("sliceShow();", iInterval);
}

function setNextPicture() {
	//iCurItem is in the next picture already
	displayCurPicture();
	increaseCnt();
}
function setPreviousPicture() {
	//iCurItem is in always the next picture
	decreaseCnt(); 
	decreaseCnt();
	displayCurPicture();
	increaseCnt();
}

function increaseCnt() {
	iCurItem ++;
	if (iCurItem>=iItems)
		iCurItem = 0;
}

function decreaseCnt() {
	iCurItem --;
	if (iCurItem<0)
		iCurItem = iItems-1;
}